> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List FP4 preparation job events

> List events for a shaping job owned by the caller's project.



## OpenAPI

````yaml openapi.yaml GET /shaping/{id}/events
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /shaping/{id}/events:
    get:
      tags:
        - Shaping
      summary: List shaping job events
      description: List events for a shaping job owned by the caller's project.
      operationId: getShapingEvents
      parameters:
        - name: id
          in: path
          required: true
          schema:
            description: Shaping job ID beginning with `shp-quant-`.
            type: string
            pattern: ^shp-quant-[a-f0-9-]+$
      responses:
        '200':
          description: Events retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsList'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '404':
          description: Shaping job not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
components:
  schemas:
    EventsList:
      type: object
      description: List response containing shaping events.
      required:
        - data
        - object
      properties:
        data:
          type: array
          description: Shaping events.
          items:
            $ref: '#/components/schemas/QuantizationEvent'
        object:
          type: string
          const: list
          description: Object type, always `list`.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    QuantizationEvent:
      description: Event emitted by a quantization job.
      allOf:
        - $ref: '#/components/schemas/BaseShapingEvent'
        - type: object
          description: Event emitted by a quantization job.
          properties:
            type:
              type: string
              description: Quantization event type.
              enum:
                - SHAPING_ERROR
                - SHAPING_USER_ERROR
                - QUANTIZATION_JOB_START
                - QUANTIZATION_MODEL_DOWNLOAD_COMPLETE
                - QUANTIZATION_MERGE_COMPLETE
                - QUANTIZATION_QUANTIZE_PROCESS_START
                - QUANTIZATION_QUANTIZE_PROCESS_COMPLETE
                - QUANTIZATION_MODEL_UPLOAD_COMPLETE
                - QUANTIZATION_JOB_COMPLETE
            result:
              $ref: '#/components/schemas/QuantizationResults'
              description: Result attached to completion events.
    BaseShapingEvent:
      type: object
      description: Public fields common to shaping events.
      required:
        - object
        - created_at
        - level
        - message
        - type
      properties:
        object:
          type: string
          const: shaping
          description: Object type, always `shaping`.
        created_at:
          type: string
          format: date-time
          description: Time when the event was created.
        level:
          $ref: '#/components/schemas/EventLevel'
          description: Event severity level.
        message:
          type: string
          description: Human-readable event message.
        type:
          type: string
          description: Event type identifier.
        hash:
          type: string
          description: Event hash used for deduplication.
    QuantizationResults:
      type: object
      description: Model artifact produced by a completed quantization job.
      properties:
        model_object_id:
          type: string
          description: Model object ID registered by the job.
        model_revision_id:
          type: string
          description: Model revision ID registered by the job.
    EventLevel:
      type: string
      description: Severity level for a shaping event.
      enum:
        - Info
        - Warning
        - Error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.